#
# spec file for package belle-sip
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2014 Mariusz Fik <fisiu@opensuse.org>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname libbellesip0
Name:           belle-sip
Version:        1.4.1
Release:        12.1
Summary:        C object oriented SIP Stack
License:        GPL-2.0+
Group:          System/Libraries
Url:            http://linphone.org/technical-corner/belle-sip/overview
Source:         http://download.savannah.gnu.org/releases/linphone/%{name}/%{name}-%{version}.tar.gz
Source1:        http://antlr3.org/download/antlr-3.4-complete.jar
BuildRequires:  antlr3c-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  java
BuildRequires:  libtool
BuildRequires:  mbedtls-devel
BuildRequires:  pkg-config

%description
Belle-sip is a SIP (RFC3261) implementation written in C, with an object oriented API.

%package -n %{lname}
Summary:        C object oriented SIP Stack
Group:          System/Libraries

%description -n %{lname}
Belle-sip is a SIP (RFC3261) implementation written in C, with an object oriented API.

%package devel
Summary:        Headers and libraries for the belle-sip library
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}

%description devel
Belle-sip is a SIP (RFC3261) implementation written in C, with an object oriented API.

This package contains header files and development libraries needed to develop programs using the belle-sip library.

%prep
%setup -q
cp -f %{SOURCE1} antlr.jar
sed -i "s|^\(antlr_java_prefixes=\).*$|\1\"$PWD\"|" configure.ac

%build
autoreconf -fi
%configure \
  --disable-strict \
  --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n %{lname} -p /sbin/ldconfig

%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libbellesip.so.*

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_includedir}/belle-sip/
%{_libdir}/libbellesip.so
%{_libdir}/pkgconfig/belle-sip.pc

%changelog
* Mon Jul 20 2015 mpluskal@suse.com
- Update to 1.4.1
  * Bug fixes
* Mon Mar 23 2015 sor.alexei@meowr.ru
- Switch from obsolete polarssl to mbedtls.
* Sun Mar 15 2015 sor.alexei@meowr.ru
- Update to 1.4.0 (changes since 1.3.0):
  * DNS SRV weight selection.
  * Support of multipart messages.
  * Support of backslash escaped display name.
  * Support of display names of type (token LWS)* instead of just
    token.
  * Support for absolute URIs.
- Remove 0001-fix-license-headers.patch: fixed upstream.
* Thu Nov  6 2014 tchvatal@suse.com
- Use gpl2+ as is in the files not just gpl2
- Fix build on factory
- Run autoreconf to avoid double configure run
- Disable silent rules
- Disable Werror
* Thu Oct  9 2014 fisiu@opensuse.org
- Add 0001-fix-license-headers.patch: fix license header in files, to be GPLv2.
* Fri Aug 15 2014 fisiu@opensuse.org
- Enable tls with polarssl library.
* Wed Aug 13 2014 fisiu@opensuse.org
- Initial package at version 1.3.0.
